#include <bits/stdc++.h>
#define x first
#define y second
#define pii pair<int,int>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int n;
    cin>>n;
    pii kord[n];
    for(int i=0;i<n;i++){
        cin>>kord[i].x>>kord[i].y;
    }
    map<pii,int> difs;
    for(int i=0;i<n;i++){
        for(int j=i+1;j<n;j++){
            difs[{kord[i].x-kord[j].x,kord[i].y-kord[j].y}]++;
        }
    }
    int res=0;
    for(int i=0;i<n;i++){
        for(int j=i+1;j<n;j++){
            int a=kord[i].x-kord[j].x;
            int b=kord[i].y-kord[j].y;
            res+=difs[{2*a,2*b}];
            res+=difs[{-2*a,-2*b}];

        }
    }
    cout<<res<<endl;
}